## cinnamon-session 2.0.6%2Blmde

=== debian/changelog ===
cinnamon-session (2.0.6+lmde) petra; urgency=low

  * 2.0.6

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 22 Nov 2013 10:57:34 +0000

cinnamon-session (2.0.5) petra; urgency=low

  * 2.0.5

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 07 Nov 2013 10:25:09 +0000

cinnamon-session (2.0.4) petra; urgency=low

  * 2.0.4

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 31 Oct 2013 13:34:50 +0000

cinnamon-session (2.0.3) petra; urgency=low

  * 2.0.3

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 29 Oct 2013 10:36:44 +0000

cinnamon-session (2.0.2) petra; urgency=low

  * 2.0.2

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 26 Oct 2013 18:02:58 +0100

cinnamon-session (2.0.1) petra; urgency=low

  * 2.0.1

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 09 Oct 2013 10:53:19 +0100

cinnamon-session (2.0.0) petra; urgency=low

  * 2.0.0

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 02 Oct 2013 13:49:17 +0100

cinnamon-session (1.9.2) petra; urgency=low

  * 1.9.2

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 30 Sep 2013 13:53:34 +0100

cinnamon-session (1.9.1) olivia; urgency=low

  * Builds

 -- Michael Webster <mtwebster@mint15-laptop>  Sun, 02 Jun 2013 19:27:15 -0400

cinnamon-session (1.9.0) olivia; urgency=low

  * Based on gnome-session 3.6.2-0ubuntu5

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 2 Jun 2013 17:46:00 +0000

## cinnamon-session 3.8.2+tara

=== meson_options.txt ===
option('with-frequent-warnings',  type: 'boolean', value: false)
option('with-docbook',            type: 'boolean', value: true)
option('with-gconf',              type: 'boolean', value: true)
option('with-ipv6',               type: 'boolean', value: true)
option('with-xtrans',             type: 'boolean', value: true)

## cinnamon-session 2.0.6+maya

=== debian/changelog ===
cinnamon-session (2.0.6+maya) petra; urgency=low

  * 2.0.6

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 22 Nov 2013 10:57:34 +0000

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: cinnamon-session
Section: gnome
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Standards-Version: 3.9.3
Build-Depends: cdbs (>= 0.4.41),
               dh-autoreconf,
               debhelper (>= 8),
               gnome-pkg-tools (>= 0.13),
               gnome-common,
               intltool (>= 0.40.6),
               libglib2.0-dev (>= 2.32),
               libgtk-3-dev (>= 2.90.7),
               libupower-glib-dev (>= 0.9.0),
               libdbus-glib-1-dev (>= 0.76),
               libjson-glib-dev (>= 0.10),
               libsm-dev,
               libice-dev,
               libx11-dev,
               libxt-dev,
               libxau-dev,
               libxext-dev,
               libxcomposite-dev,
               libgl1-mesa-dev,
               libxtst-dev,
               libxrender-dev,
               xmlto,
               xsltproc,
               xtrans-dev

Package: cinnamon-session
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         dbus-x11,
         cinnamon-desktop-data,
         cinnamon-session-common,
         consolekit,
         upower (>= 0.9.0)
Description: Cinnamon Session Manager - Minimal runtime
 The Cinnamon Session Manager is in charge of starting the core components
 of the Cinnamon desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the binaries for the Cinnamon Session Manager, but
 no startup scripts. It is meant for those willing to start
 cinnamon-session by hand with the components of their choice, and for
 applications such as MDM that use cinnamon-session internally.

Package: cinnamon-session-common
Architecture: all
Depends: ${misc:Depends}
Description: Cinnamon Session Manager - common files
 The Cinnamon Session Manager is in charge of starting the core components
 of the Cinnamon desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the translations, data files and startup scripts
 which are common to the Cinnamon and Cinnamon fallback sessions.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk

-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_CONFIGURE_EXTRA_FLAGS += --localstatedir=/var/lib \
	                     --enable-ipv6 \
	                     --disable-systemd

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

## cinnamon-session 2.2.2

=== debian/changelog ===
cinnamon-session (2.2.2-5build1) vivid; urgency=medium

  * No change rebuild for upower 0.99.1 (LP: #1330037)

 -- Jackson Doak <noskcaj@ubuntu.com>  Wed, 29 Oct 2014 19:36:18 +1100

cinnamon-session (2.2.2-5) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Bump Standards-Version to 3.9.6, no changes needed
  * Move /usr/share/applications/cinnamon-session-properties.desktop to
    the cinnamon-session package

 -- Margarita Manterola <marga@debian.org>  Sat, 25 Oct 2014 16:25:54 +0200

cinnamon-session (2.2.2-4) unstable; urgency=medium

  * New patch: debian/patches/gtk3.14_incompatibilities.patch, fixes
    upstream issue cinnamon-session#29

 -- Maximiliano Curia <maxy@debian.org>  Mon, 06 Oct 2014 13:16:38 +0200

cinnamon-session (2.2.2-3) unstable; urgency=medium

  [ Fabio Fantoni ]
  * New patch: debian/patches/fix-user-switch, fixes user switching
    with gdm3.

  [ Margarita Manterola ]
  * Only use systemd on linux, allows building on kFreeBSD.

 -- Margarita Manterola <marga@debian.org>  Sat, 30 Aug 2014 10:46:55 -0700

cinnamon-session (2.2.2-2) unstable; urgency=medium

  [ Margarita Manterola ]
  * Add systemd as a build dependency, needed for the upower-1.0 transition
    (Closes: #752421).
  * Remove ConsoleKit dependency, as we are using systemd now (Closes: #706573).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Jul 2014 11:20:58 +0200

cinnamon-session (2.2.2-1) experimental; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release.

  [ Margarita Manterola ]
  * Added patch to expect translations on the standard path.
  * Added patch to use cinnamon-session-properties icon instead of
    session-properties icon, present in gnome-session-common.

 -- Margarita Manterola <marga@debian.org>  Sat, 12 Jul 2014 18:22:33 +0200

cinnamon-session (2.2.1-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release.
  * Update VCS fields.
  * Update build dependencies.

  [ Margarita Manterola ]

 -- Margarita Manterola <marga@debian.org>  Sat, 24 May 2014 19:28:42 +0200

cinnamon-session (2.2.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Initial release (Closes: #745914).

  [ Margarita Manterola ]
  * Updated to version 2.2.0

 -- Margarita Manterola <marga@debian.org>  Mon, 28 Apr 2014 22:27:13 +0200

=== debian/control ===
Source: cinnamon-session
Section: x11
Priority: optional
Maintainer: Debian Cinnamon Team <pkg-cinnamon-team@lists.alioth.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Margarita Manterola <marga@debian.org>,
           Fabio Fantoni <fantonifabio@tiscali.it>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               gnome-common,
               gnome-pkg-tools (>= 0.13),
               intltool (>= 0.40.6),
               libcanberra-dev,
               libdbus-glib-1-dev (>= 0.76),
               libgl1-mesa-dev,
               libglib2.0-dev (>= 2.32),
               libgtk-3-dev (>= 2.90.7),
               libice-dev,
               libjson-glib-dev (>= 0.10),
               libsm-dev,
               libsystemd-daemon-dev [linux-any],
               libsystemd-login-dev [linux-any],
               libupower-glib-dev (>= 0.9.0),
               libx11-dev,
               libxau-dev,
               libxcomposite-dev,
               libxext-dev,
               libxrender-dev,
               libxt-dev,
               libxtst-dev,
               xmlto,
               xsltproc,
               xtrans-dev
Standards-Version: 3.9.6
Homepage: http://cinnamon.linuxmint.com
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-cinnamon/cinnamon-session.git
Vcs-Git: git://anonscm.debian.org/pkg-cinnamon/cinnamon-session.git

Package: cinnamon-session
Architecture: any
Depends: cinnamon-desktop-data,
         cinnamon-session-common,
         dbus-x11,
         upower (>= 0.9.0),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: cinnamon-session-common (<< 2.2.2-5~)
Replaces: cinnamon-session-common (<< 2.2.2-5~)
Description: Cinnamon Session Manager - Minimal runtime
 The Cinnamon Session Manager is in charge of starting the core components
 of the Cinnamon desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the binaries for the Cinnamon Session Manager, but
 no startup scripts. It is meant for those willing to start
 cinnamon-session by hand with the components of their choice, and for
 applications such as MDM that use cinnamon-session internally.

Package: cinnamon-session-common
Architecture: all
Depends: ${misc:Depends}
Description: Cinnamon Session Manager - common files
 The Cinnamon Session Manager is in charge of starting the core components
 of the Cinnamon desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the translations, data files and startup scripts
 which are common to the Cinnamon and Cinnamon fallback sessions.

## cinnamon-session 2.2.2+qiana

=== debian/changelog ===
cinnamon-session (2.2.2+qiana) qiana; urgency=medium

  * Make shutdown and failwhale dialogs use CENTER instead of CENTER_ALWAYS, to stop the small jump the dialogs usually make right after they pop up.
  * Logout/Shutdown dialogs: Capture focus and keyboard input and block until dialog is closed.
  * session-properties (startup programs): show 0 in the list when there is no startup delay defined, as well as a 0 in the spinner during item edit.
  * Remove logging from previous commit
  * Block ubuntu indicator-* services from starting.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 27 Jun 2014 14:33:56 +0100

cinnamon-session (2.2.1) qiana; urgency=medium

  * 2.2.1

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 May 2014 10:35:56 +0100

cinnamon-session (2.2.0) qiana; urgency=medium

  * 2.2.0

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 12 Apr 2014 11:25:07 +0100

cinnamon-session (2.0.6) petra; urgency=low

  * 2.0.6

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 22 Nov 2013 10:57:34 +0000

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: cinnamon-session
Section: gnome
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Standards-Version: 3.9.3
Build-Depends: cdbs (>= 0.4.41),
               dh-autoreconf,
               debhelper (>= 8),
               gnome-pkg-tools (>= 0.13),
               gnome-common,
               intltool (>= 0.40.6),
               libcanberra-dev,
               libglib2.0-dev (>= 2.32),
               libgtk-3-dev (>= 2.90.7),
               libupower-glib-dev (>= 0.9.0),
               libdbus-glib-1-dev (>= 0.76),
               libjson-glib-dev (>= 0.10),
               libsm-dev,
               libice-dev,
               libx11-dev,
               libxt-dev,
               libxau-dev,
               libxext-dev,
               libxcomposite-dev,
               libgl1-mesa-dev,
               libxtst-dev,
               libxrender-dev,
               xmlto,
               xsltproc,
               xtrans-dev

Package: cinnamon-session
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         dbus-x11,
         cinnamon-desktop-data,
         cinnamon-session-common,
         consolekit,
         upower (>= 0.9.0)
Description: Cinnamon Session Manager - Minimal runtime
 The Cinnamon Session Manager is in charge of starting the core components
 of the Cinnamon desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the binaries for the Cinnamon Session Manager, but
 no startup scripts. It is meant for those willing to start
 cinnamon-session by hand with the components of their choice, and for
 applications such as MDM that use cinnamon-session internally.

Package: cinnamon-session-common
Architecture: all
Depends: ${misc:Depends}
Description: Cinnamon Session Manager - common files
 The Cinnamon Session Manager is in charge of starting the core components
 of the Cinnamon desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the translations, data files and startup scripts
 which are common to the Cinnamon and Cinnamon fallback sessions.

## cinnamon-session 2.4.3+rebecca

=== debian/changelog ===
cinnamon-session (2.4.3+rebecca) rebecca; urgency=medium

  * Fixed the width of the program column in Startup Applications (for GTK 3.14)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 20 Jan 2015 11:19:41 +0100

cinnamon-session (2.4.2) rebecca; urgency=medium

  * cinnamon-session-properties: don't destroy self immediately upon closing, to make sure any pending save operations are completed.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 26 Nov 2014 22:32:46 +0100

cinnamon-session (2.4.1) rebecca; urgency=medium

  * Switched locale path to standard /usr/share/locale
  * Re-Added session timeout, disable by default

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 08 Nov 2014 10:04:29 +0100

cinnamon-session (2.4.0) rebecca; urgency=medium

  * 2.4.0

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 30 Oct 2014 15:55:45 +0100

cinnamon-session (2.3.0) unstable; urgency=medium

  * 2.3.0

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 27 Jun 2014 14:35:44 +0100

cinnamon-session (2.2.2) qiana; urgency=medium

  * Make shutdown and failwhale dialogs use CENTER instead of CENTER_ALWAYS, to stop the small jump the dialogs usually make right after they pop up.
  * Logout/Shutdown dialogs: Capture focus and keyboard input and block until dialog is closed.
  * session-properties (startup programs): show 0 in the list when there is no startup delay defined, as well as a 0 in the spinner during item edit.
  * Remove logging from previous commit
  * Block ubuntu indicator-* services from starting.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 27 Jun 2014 14:33:56 +0100

## cinnamon-session 2.6.2

=== debian/changelog ===
cinnamon-session (2.6.2-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release.
  * Update build dependencies.

  [ Fabio Fantoni ]
  * 

 -- Maximiliano Curia <maxy@debian.org>  Wed, 03 Jun 2015 21:46:26 +0200

cinnamon-session (2.4.3-1) experimental; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release.
  * debian/patches: removed 3 patches applied upstream.

  [ Maximiliano Curia ]
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 Feb 2015 14:05:38 +0100

=== debian/control ===
Source: cinnamon-session
Section: x11
Priority: optional
Maintainer: Debian Cinnamon Team <pkg-cinnamon-team@lists.alioth.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Margarita Manterola <marga@debian.org>,
           Fabio Fantoni <fantonifabio@tiscali.it>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               gnome-common,
               gnome-pkg-tools (>= 0.13),
               intltool (>= 0.40.6),
               libcanberra-dev,
               libdbus-glib-1-dev (>= 0.88),
               libgl1-mesa-dev,
               libglib2.0-dev (>= 2.37.3),
               libgtk-3-dev (>= 3.0.0),
               libice-dev,
               libjson-glib-dev (>= 0.10),
               libsm-dev,
               libsystemd-daemon-dev [linux-any],
               libsystemd-login-dev [linux-any],
               libupower-glib-dev (>= 0.9.0),
               libx11-dev,
               libxau-dev,
               libxcomposite-dev,
               libxext-dev,
               libxrender-dev,
               libxt-dev,
               libxtst-dev,
               xmlto,
               xsltproc,
               xtrans-dev
Standards-Version: 3.9.6
Homepage: http://cinnamon.linuxmint.com
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-cinnamon/cinnamon-session.git
Vcs-Git: git://anonscm.debian.org/pkg-cinnamon/cinnamon-session.git

Package: cinnamon-session
Architecture: any
Depends: cinnamon-desktop-data (>= 2.6.3),
         cinnamon-session-common (= ${source:Version}),
         dbus-x11,
         upower (>= 0.9.0),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: cinnamon-session-common (<< 2.2.2-5~)
Replaces: cinnamon-session-common (<< 2.2.2-5~)
Description: Cinnamon Session Manager - Minimal runtime
 The Cinnamon Session Manager is in charge of starting the core components
 of the Cinnamon desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the binaries for the Cinnamon Session Manager, but
 no startup scripts. It is meant for those willing to start
 cinnamon-session by hand with the components of their choice, and for
 applications such as MDM that use cinnamon-session internally.

Package: cinnamon-session-common
Architecture: all
Depends: ${misc:Depends}
Description: Cinnamon Session Manager - common files
 The Cinnamon Session Manager is in charge of starting the core components
 of the Cinnamon desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the translations, data files and startup scripts
 which are common to the Cinnamon and Cinnamon fallback sessions.

## cinnamon-session 2.6.3

=== debian/changelog ===
cinnamon-session (2.6.3-2) unstable; urgency=medium

  [ Fabio Fantoni ]
  * Transition to libsystemd, thanks to Michael Biebl. (Closes: #779751)

  [ Maximiliano Curia ]

 -- Maximiliano Curia <maxy@debian.org>  Mon, 13 Jul 2015 21:38:45 +0200

cinnamon-session (2.6.3-1) unstable; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release.

  [ Maximiliano Curia ]

 -- Maximiliano Curia <maxy@debian.org>  Thu, 18 Jun 2015 12:45:41 +0200

=== debian/control ===
--- 
+++ 
@@ -18,8 +18,7 @@
                libice-dev,
                libjson-glib-dev (>= 0.10),
                libsm-dev,
-               libsystemd-daemon-dev [linux-any],
-               libsystemd-login-dev [linux-any],
+               libsystemd-dev [linux-any],
                libupower-glib-dev (>= 0.9.0),
                libx11-dev,
                libxau-dev,

## cinnamon-session 2.6.3+rafaela

=== debian/changelog ===
cinnamon-session (2.6.3+rafaela) rafaela; urgency=medium

  [ sina23GOGO12 ]
  * fix update croatian translation

  [ Michael Webster ]
  * csm-manager: add a whitelist to override autostart hardcoded list. Our internal blacklist is pretty broad, and some indicator apps work fine using the systray without causing issues with cinnamon. This will let users override on a case-by-case basis for now.
  * main.c: prevent overlay-scrollbar from loading. The ubuntu overlay-scrollbar GTK module doesn't respect the normal ways of enabling/disabling modules, and doesn't play nice anywhere but in Unity (broken themes, scrollbars).  Ideally this is done in cinnamon-settings-daemon, where our existing gtk module blacklist will handle the GTK_MODULES environment variable as well as what it currently does.  For a quick fix, just remove it at session start.

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 14 Jun 2015 13:16:53 +0200

cinnamon-session (2.6.2) rafaela; urgency=medium

  [ leigh123linux ]
  * bump version to account for cinnamon-desktop systemd schema change

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 27 May 2015 10:20:55 +0200

cinnamon-session (2.6.1) rafaela; urgency=medium

  * Replaced "use-systemd" with "session-manager-uses-logind" gsettings key

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 25 May 2015 10:36:27 +0200

cinnamon-session (2.6.0) rafaela; urgency=medium

  * 2.6.0 

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 19 May 2015 17:10:30 +0200

cinnamon-session (2.5.1) unstable; urgency=medium

  * 2.5.x

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 13 Jan 2015 09:47:17 +0100

=== debian/control ===
Source: cinnamon-session
Section: gnome
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Standards-Version: 3.9.5
Build-Depends: cdbs (>= 0.4.41),
               dh-autoreconf,
               debhelper (>= 8),
               gnome-pkg-tools (>= 0.13),
               gnome-common,
               intltool (>= 0.40.6),
               libcanberra-dev,
               libglib2.0-dev (>= 2.37.3),
               libgtk-3-dev (>= 3.0.0),
               libupower-glib-dev (>= 0.9.0),
               libdbus-glib-1-dev (>= 0.88),
               libsm-dev,
               libice-dev,
               libx11-dev,
               libxt-dev,
               libxau-dev,
               libxext-dev,
               libxcomposite-dev,
               libgl1-mesa-dev,
               libsystemd-login-dev,
               libxtst-dev,
               libxrender-dev,
               xmlto,
               xsltproc,
               xtrans-dev

Package: cinnamon-session
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         dbus-x11,
         cinnamon-desktop-data (>= 2.6.3),
         cinnamon-session-common (= ${source:Version}),
         consolekit,
         upower (>= 0.9.0)
Description: Cinnamon Session Manager - Minimal runtime
 The Cinnamon Session Manager is in charge of starting the core components
 of the Cinnamon desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the binaries for the Cinnamon Session Manager, but
 no startup scripts. It is meant for those willing to start
 cinnamon-session by hand with the components of their choice, and for
 applications such as MDM that use cinnamon-session internally.

Package: cinnamon-session-common
Architecture: all
Depends: ${misc:Depends}
Description: Cinnamon Session Manager - common files
 The Cinnamon Session Manager is in charge of starting the core components
 of the Cinnamon desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the translations, data files and startup scripts
 which are common to the Cinnamon and Cinnamon fallback sessions.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_EXTRA_FLAGS += --localstatedir=/var/lib \
	                     --enable-ipv6

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

## cinnamon-session 2.8.2

=== debian/changelog ===
cinnamon-session (2.8.2-1) unstable; urgency=medium

  * Add a provides for x-session-manager. (Closes: #800506) Thanks to
    Ralf Jung
  * New upstream release (2.8.0).
  * New upstream release (2.8.2).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Jan 2016 20:19:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,43 +1,51 @@
 Source: cinnamon-session
-Section: gnome
+Section: x11
 Priority: optional
-Maintainer: Linux Mint <root@linuxmint.com>
-Standards-Version: 3.9.5
-Build-Depends: cdbs (>= 0.4.41),
+Maintainer: Debian Cinnamon Team <pkg-cinnamon-team@lists.alioth.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>,
+           Margarita Manterola <marga@debian.org>,
+           Fabio Fantoni <fantonifabio@tiscali.it>
+Build-Depends: debhelper (>= 9),
                dh-autoreconf,
-               debhelper (>= 8),
+               gnome-common,
                gnome-pkg-tools (>= 0.13),
-               gnome-common,
                intltool (>= 0.40.6),
                libcanberra-dev,
+               libdbus-glib-1-dev (>= 0.88),
+               libgl1-mesa-dev,
                libglib2.0-dev (>= 2.37.3),
                libgtk-3-dev (>= 3.0.0),
+               libice-dev,
+               libjson-glib-dev (>= 0.10),
+               libsm-dev,
+               libsystemd-dev [linux-any],
                libupower-glib-dev (>= 0.9.0),
-               libdbus-glib-1-dev (>= 0.88),
-               libsm-dev,
-               libice-dev,
                libx11-dev,
+               libxau-dev,
+               libxcomposite-dev,
+               libxext-dev,
+               libxrender-dev,
                libxt-dev,
-               libxau-dev,
-               libxext-dev,
-               libxcomposite-dev,
-               libgl1-mesa-dev,
-               libsystemd-login-dev,
                libxtst-dev,
-               libxrender-dev,
                xmlto,
                xsltproc,
                xtrans-dev
+Standards-Version: 3.9.6
+Homepage: http://cinnamon.linuxmint.com
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-cinnamon/cinnamon-session.git
+Vcs-Git: git://anonscm.debian.org/pkg-cinnamon/cinnamon-session.git
 
 Package: cinnamon-session
 Architecture: any
-Depends: ${shlibs:Depends},
+Depends: cinnamon-desktop-data (>= 2.6.3),
+         cinnamon-session-common (= ${source:Version}),
+         dbus-x11,
+         upower (>= 0.9.0),
          ${misc:Depends},
-         dbus-x11,
-         cinnamon-desktop-data (>= 2.6.3),
-         cinnamon-session-common (= ${source:Version}),
-         consolekit,
-         upower (>= 0.9.0)
+         ${shlibs:Depends}
+Breaks: cinnamon-session-common (<< 2.2.2-5~)
+Replaces: cinnamon-session-common (<< 2.2.2-5~)
+Provides: x-session-manager
 Description: Cinnamon Session Manager - Minimal runtime
  The Cinnamon Session Manager is in charge of starting the core components
  of the Cinnamon desktop, and applications that should be launched at

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel --with=autoreconf

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
	    --localstatedir=/var/lib \
	    --enable-ipv6

override_dh_install:
	dh_install --list-missing

## cinnamon-session 2.8.3

=== debian/changelog ===
cinnamon-session (2.8.3-1) unstable; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release.

  [ Maximiliano Curia ]

 -- Maximiliano Curia <maxy@debian.org>  Sun, 13 Mar 2016 20:16:37 +0100

## cinnamon-session 2.8.3+rosa

=== debian/changelog ===
cinnamon-session (2.8.3+rosa) rosa; urgency=medium

  [ monsta ]
  * mdm: fix logic error
  * fix a typo in a warning message

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 07 Mar 2016 17:08:43 +0000

cinnamon-session (2.8.2) rosa; urgency=medium

  * Autostart: Blacklist xfce4-power-manager

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 09 Nov 2015 10:27:09 +0000

cinnamon-session (2.8.1) rosa; urgency=medium

  [ pixunil ]
  * csm-logout-dialog.c: Add "automatically" to the msgids of the countdown label This uses the already-translated msgid

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 30 Oct 2015 10:50:19 +0000

cinnamon-session (2.8.0) rosa; urgency=medium

  [ Clement Lefebvre ]
  * Add a gsettings key to enable debug
  * Reject new XSMP clients earlier in the shutdown path
  * xsmp: Re-accept clients if session shutdown is cancelled
  * Avoid to keep zombie clients in the case when a IceError is thrown between accept_ice_connection() and accept_xsmp_connection()
  * Only wait 1 second max on logout/shutdown
  * Log time delta in debug mode. Also, don't log dbus calls (they don't show much info and they're very numerous)
  * Make QT5 apps follow the GTK style
  * Make the session blacklist entirely configurable
  * Replace indicator- with indicator-session in session blacklist
  * Renamed blacklist -> autostart-blacklist

  [ Fabio Fantoni ]
  * remove unused debian/po-up
  * remove some other unused files in debian folder
  * update debian/copyright
  * debian fixes and improvements

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 16 Oct 2015 14:11:22 +0100

cinnamon-session (2.6.3) rafaela; urgency=medium

  [ sina23GOGO12 ]
  * fix update croatian translation

  [ Michael Webster ]
  * csm-manager: add a whitelist to override autostart hardcoded list. Our internal blacklist is pretty broad, and some indicator apps work fine using the systray without causing issues with cinnamon. This will let users override on a case-by-case basis for now.
  * main.c: prevent overlay-scrollbar from loading. The ubuntu overlay-scrollbar GTK module doesn't respect the normal ways of enabling/disabling modules, and doesn't play nice anywhere but in Unity (broken themes, scrollbars).  Ideally this is done in cinnamon-settings-daemon, where our existing gtk module blacklist will handle the GTK_MODULES environment variable as well as what it currently does.  For a quick fix, just remove it at session start.

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 14 Jun 2015 13:16:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,7 @@
 Source: cinnamon-session
 Section: x11
 Priority: optional
-Maintainer: Debian Cinnamon Team <pkg-cinnamon-team@lists.alioth.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>,
-           Margarita Manterola <marga@debian.org>,
-           Fabio Fantoni <fantonifabio@tiscali.it>
+Maintainer: Linux Mint <root@linuxmint.com>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                gnome-common,
@@ -18,7 +15,8 @@
                libice-dev,
                libjson-glib-dev (>= 0.10),
                libsm-dev,
-               libsystemd-dev [linux-any],
+               libsystemd-daemon-dev [linux-any],
+               libsystemd-login-dev [linux-any],
                libupower-glib-dev (>= 0.9.0),
                libx11-dev,
                libxau-dev,
@@ -32,8 +30,6 @@
                xtrans-dev
 Standards-Version: 3.9.6
 Homepage: http://cinnamon.linuxmint.com
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-cinnamon/cinnamon-session.git
-Vcs-Git: git://anonscm.debian.org/pkg-cinnamon/cinnamon-session.git
 
 Package: cinnamon-session
 Architecture: any
@@ -45,7 +41,6 @@
          ${shlibs:Depends}
 Breaks: cinnamon-session-common (<< 2.2.2-5~)
 Replaces: cinnamon-session-common (<< 2.2.2-5~)
-Provides: x-session-manager
 Description: Cinnamon Session Manager - Minimal runtime
  The Cinnamon Session Manager is in charge of starting the core components
  of the Cinnamon desktop, and applications that should be launched at

## cinnamon-session 3.0.0

=== debian/changelog ===
cinnamon-session (3.0.0-3) unstable; urgency=medium

  * Apply 96f25057cac202e13c338886d00bc0383394ad26 from upstream to let the
    gtk-overlay-scrollbar setting disable scrollbars. (Closes: 824699).
    Thanks to Christoph Anton Mitterer for reporting.
  * Depend on the new cinnamon-desktop version, as this needs to have the new
    schemas in place.

 -- Margarita Manterola <marga@debian.org>  Wed, 18 May 2016 22:18:59 +0200

cinnamon-session (3.0.0-2) unstable; urgency=medium

  * The new cinnamon session breaks the old cinnamon.
    Thanks to George Shuklin for reporting (Closes: 824269)

 -- Maximiliano Curia <maxy@debian.org>  Sun, 15 May 2016 13:07:25 +0200

cinnamon-session (3.0.0-1) unstable; urgency=medium

  * New upstream release (3.0.0).
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Add a .gitattributes file to use dpkg-mergechangelogs
  * Bump Standards-Version to 3.9.8
  * Drop upstream applied patch

 -- Maximiliano Curia <maxy@debian.org>  Fri, 13 May 2016 13:02:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,10 @@
 Source: cinnamon-session
 Section: x11
 Priority: optional
-Maintainer: Linux Mint <root@linuxmint.com>
+Maintainer: Debian Cinnamon Team <pkg-cinnamon-team@lists.alioth.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>,
+           Margarita Manterola <marga@debian.org>,
+           Fabio Fantoni <fantonifabio@tiscali.it>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                gnome-common,
@@ -15,8 +18,7 @@
                libice-dev,
                libjson-glib-dev (>= 0.10),
                libsm-dev,
-               libsystemd-daemon-dev [linux-any],
-               libsystemd-login-dev [linux-any],
+               libsystemd-dev [linux-any],
                libupower-glib-dev (>= 0.9.0),
                libx11-dev,
                libxau-dev,
@@ -28,19 +30,22 @@
                xmlto,
                xsltproc,
                xtrans-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://cinnamon.linuxmint.com
+Vcs-Browser: https://anonscm.debian.org/git/pkg-cinnamon/cinnamon-session.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-cinnamon/cinnamon-session.git
 
 Package: cinnamon-session
 Architecture: any
-Depends: cinnamon-desktop-data (>= 2.6.3),
+Depends: cinnamon-desktop-data (>= 3.0.1-2),
          cinnamon-session-common (= ${source:Version}),
          dbus-x11,
          upower (>= 0.9.0),
          ${misc:Depends},
          ${shlibs:Depends}
-Breaks: cinnamon-session-common (<< 2.2.2-5~)
+Breaks: cinnamon-session-common (<< 2.2.2-5~), cinnamon (<= 3)
 Replaces: cinnamon-session-common (<< 2.2.2-5~)
+Provides: x-session-manager
 Description: Cinnamon Session Manager - Minimal runtime
  The Cinnamon Session Manager is in charge of starting the core components
  of the Cinnamon desktop, and applications that should be launched at

## cinnamon-session 3.0.1

=== debian/changelog ===
cinnamon-session (3.0.1-2) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Add new patch: gnome-common-deprecation.patch (Closes: #829886)
  * Update build dependencies (add autoconf-archive, remove gnome-common).
  * Update the copyright file
  * Switch to default-dbus-session-bus | dbus-session-bus.
    Thanks to Simon McVittie for reporting (Closes: 835844)

 -- Margarita Manterola <marga@debian.org>  Mon, 17 Oct 2016 20:28:39 +0200

cinnamon-session (3.0.1-1) unstable; urgency=medium

  * Fix the Breaks clause so that it's only for cinnamon strictly smaller than
    version 3. (Closes: 825048). Thanks to Jeremy Bicha for reporting.
  * New upstream release.
    Remove overlay scrollbars patch as it's applied upstream.

 -- Margarita Manterola <marga@debian.org>  Sat, 28 May 2016 15:55:46 +0200

=== debian/control ===
Source: cinnamon-session
Section: x11
Priority: optional
Maintainer: Debian Cinnamon Team <pkg-cinnamon-team@lists.alioth.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>
Build-Depends:
 autoconf-archive,
 debhelper (>= 9),
 dh-autoreconf,
 gnome-pkg-tools (>= 0.13),
 intltool (>= 0.40.6),
 libcanberra-dev,
 libdbus-glib-1-dev (>= 0.88),
 libgl1-mesa-dev,
 libglib2.0-dev (>= 2.37.3),
 libgtk-3-dev (>= 3.0.0),
 libice-dev,
 libjson-glib-dev (>= 0.10),
 libsm-dev,
 libsystemd-dev [linux-any],
 libupower-glib-dev (>= 0.9.0),
 libx11-dev,
 libxau-dev,
 libxcomposite-dev,
 libxext-dev,
 libxrender-dev,
 libxt-dev,
 libxtst-dev,
 xmlto,
 xsltproc,
 xtrans-dev
Standards-Version: 3.9.8
Homepage: http://cinnamon.linuxmint.com
Vcs-Browser: https://anonscm.debian.org/git/pkg-cinnamon/cinnamon-session.git
Vcs-Git: https://anonscm.debian.org/git/pkg-cinnamon/cinnamon-session.git

Package: cinnamon-session
Architecture: any
Depends:
 cinnamon-desktop-data (>= 3.0.1-2),
 cinnamon-session-common (= ${source:Version}),
 default-dbus-session-bus | dbus-session-bus,
 upower (>= 0.9.0),
 ${misc:Depends},
 ${shlibs:Depends}
Breaks: cinnamon (<< 3~), cinnamon-session-common (<< 2.2.2-5~)
Replaces: cinnamon-session-common (<< 2.2.2-5~)
Provides: x-session-manager
Description: Cinnamon Session Manager - Minimal runtime
 The Cinnamon Session Manager is in charge of starting the core components
 of the Cinnamon desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the binaries for the Cinnamon Session Manager, but
 no startup scripts. It is meant for those willing to start
 cinnamon-session by hand with the components of their choice, and for
 applications such as MDM that use cinnamon-session internally.

Package: cinnamon-session-common
Architecture: all
Depends: ${misc:Depends}
Description: Cinnamon Session Manager - common files
 The Cinnamon Session Manager is in charge of starting the core components
 of the Cinnamon desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the translations, data files and startup scripts
 which are common to the Cinnamon and Cinnamon fallback sessions.

## cinnamon-session 3.0.1+sarah

=== debian/changelog ===
cinnamon-session (3.0.1+sarah) sarah; urgency=medium

  [ leigh123linux ]
  * Add support PreDisplayServer phase to fix gnome-keyring ssh issue
  * add new phase: CSM_MANAGER_PHASE_EARLY_INITIALIZATION, it's needed for PRE_DISPLAY_SERVER phase to run

  [ Michael Webster ]
  * main.c: Add support for disabling gtk overlay scrollbars

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 20 May 2016 12:02:48 +0100

cinnamon-session (3.0.0) sarah; urgency=medium

  [ Michael Webster ]
  * main.c: remove CLUTTER_BACKEND=x11 (moved to cinnamon main.c)

  [ monsta ]
  * mdm: fix logic error
  * fix a typo in a warning message

  [ Clement Lefebvre ]
  * [Fantu & Ralf Jung] Add a provides for x-session-manager
  * Support new libsystemd (which replaces libsystemd-login)
  * Fixed GTK regression in csm-inhibit-dialog https://github.com/linuxmint/cinnamon-session/issues/63

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 23 Apr 2016 16:16:12 +0100

=== debian/control ===
Source: cinnamon-session
Section: x11
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               gnome-common,
               gnome-pkg-tools (>= 0.13),
               intltool (>= 0.40.6),
               libcanberra-dev,
               libdbus-glib-1-dev (>= 0.88),
               libgl1-mesa-dev,
               libglib2.0-dev (>= 2.37.3),
               libgtk-3-dev (>= 3.0.0),
               libice-dev,
               libjson-glib-dev (>= 0.10),
               libsm-dev,
               libsystemd-daemon-dev [linux-any] | libsystemd-dev [linux-any],
               libsystemd-login-dev [linux-any] | libsystemd-dev [linux-any],
               libupower-glib-dev (>= 0.9.0),
               libx11-dev,
               libxau-dev,
               libxcomposite-dev,
               libxext-dev,
               libxrender-dev,
               libxt-dev,
               libxtst-dev,
               xmlto,
               xsltproc,
               xtrans-dev
Standards-Version: 3.9.6
Homepage: http://cinnamon.linuxmint.com

Package: cinnamon-session
Architecture: any
Depends: cinnamon-desktop-data (>= 2.6.3),
         cinnamon-session-common (= ${source:Version}),
         dbus-x11,
         upower (>= 0.9.0),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: cinnamon-session-common (<< 2.2.2-5~)
Replaces: cinnamon-session-common (<< 2.2.2-5~)
Provides: x-session-manager
Description: Cinnamon Session Manager - Minimal runtime
 The Cinnamon Session Manager is in charge of starting the core components
 of the Cinnamon desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the binaries for the Cinnamon Session Manager, but
 no startup scripts. It is meant for those willing to start
 cinnamon-session by hand with the components of their choice, and for
 applications such as MDM that use cinnamon-session internally.

Package: cinnamon-session-common
Architecture: all
Depends: ${misc:Depends}
Description: Cinnamon Session Manager - common files
 The Cinnamon Session Manager is in charge of starting the core components
 of the Cinnamon desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the translations, data files and startup scripts
 which are common to the Cinnamon and Cinnamon fallback sessions.

## cinnamon-session 3.2.0

=== debian/changelog ===
cinnamon-session (3.2.0-4mx15+1) mx; urgency=medium

  * Rebuild for MX 15 repository.
  * Restore dbus-x11 as alternate dependency.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 29 Jun 2017 18:16:38 -0700

cinnamon-session (3.2.0-4) unstable; urgency=medium

  * Add missing qt5 build parameter. (Closes: #847482)
    Thanks to James Lu for reporting.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 03 Jan 2017 21:45:03 +0100

cinnamon-session (3.2.0-3) unstable; urgency=medium

  * Release to unstable

 -- Margarita Manterola <marga@debian.org>  Tue, 20 Dec 2016 19:50:19 -0300

cinnamon-session (3.2.0-2) experimental; urgency=medium

  * Explicitly depend on automake, as some buildds sometimes pull automaken
    instead, causing build failures.

 -- Margarita Manterola <marga@debian.org>  Sat, 17 Dec 2016 16:43:06 -0300

cinnamon-session (3.2.0-1) experimental; urgency=medium

  [ Margarita Manterola ]
  * New upstream release.
  * Add patch to use the "gtk2" theme engine when running under qt5.
    Thanks to James Lu for reporting. (Closes: #847482)

  [ Maximiliano Curia ]
  * Drop upstream applied patch: gnome-common-deprecation.patch

 -- Maximiliano Curia <maxy@debian.org>  Sat, 17 Dec 2016 19:02:35 +0100

=== debian/control ===
Source: cinnamon-session
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Cinnamon Team <pkg-cinnamon-team@lists.alioth.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>
Build-Depends:
 autoconf-archive,
 automake,
 debhelper (>= 9),
 dh-autoreconf,
 gnome-pkg-tools (>= 0.13),
 intltool (>= 0.40.6),
 libcanberra-dev,
 libdbus-glib-1-dev (>= 0.88),
 libgl1-mesa-dev,
 libglib2.0-dev (>= 2.37.3),
 libgtk-3-dev (>= 3.0.0),
 libice-dev,
 libjson-glib-dev (>= 0.10),
 libsm-dev,
 libsystemd-dev [linux-any],
 libupower-glib-dev (>= 0.9.0),
 libx11-dev,
 libxau-dev,
 libxcomposite-dev,
 libxext-dev,
 libxrender-dev,
 libxt-dev,
 libxtst-dev,
 xmlto,
 xsltproc,
 xtrans-dev
Standards-Version: 3.9.8
Homepage: http://cinnamon.linuxmint.com
Vcs-Browser: https://anonscm.debian.org/git/pkg-cinnamon/cinnamon-session.git
Vcs-Git: https://anonscm.debian.org/git/pkg-cinnamon/cinnamon-session.git

Package: cinnamon-session
Architecture: any
Depends:
 cinnamon-desktop-data (>= 3.0.1-2),
 cinnamon-session-common (= ${source:Version}),
 dbus-x11 | default-dbus-session-bus | dbus-session-bus,
 upower (>= 0.9.0),
 ${misc:Depends},
 ${shlibs:Depends}
Breaks: cinnamon (<< 3~), cinnamon-session-common (<< 2.2.2-5~)
Replaces: cinnamon-session-common (<< 2.2.2-5~)
Provides: x-session-manager
Description: Cinnamon Session Manager - Minimal runtime
 The Cinnamon Session Manager is in charge of starting the core components
 of the Cinnamon desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the binaries for the Cinnamon Session Manager, but
 no startup scripts. It is meant for those willing to start
 cinnamon-session by hand with the components of their choice, and for
 applications such as MDM that use cinnamon-session internally.

Package: cinnamon-session-common
Architecture: all
Depends: ${misc:Depends}
Description: Cinnamon Session Manager - common files
 The Cinnamon Session Manager is in charge of starting the core components
 of the Cinnamon desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the translations, data files and startup scripts
 which are common to the Cinnamon and Cinnamon fallback sessions.

=== debian/rules ===
--- 
+++ 
@@ -7,12 +7,16 @@
 	dh $@ --parallel --with=autoreconf
 
 override_dh_autoreconf:
-	dh_autoreconf --as-needed
+	NOCONFIGURE=1 dh_autoreconf --as-needed ./autogen.sh
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
 	    --localstatedir=/var/lib \
-	    --enable-ipv6
+	    --enable-ipv6 \
+	    --enable-qt57-theme-support
 
 override_dh_install:
 	dh_install --list-missing
+
+override_dh_shlibdeps:
+	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info
